import request from '@/utils/request'
/**
 * 事件督办相关接口
 */
// 督办
export function supervise(params) {
  return request({
    url: '/urge/confirmUrge',
    method: 'post',
    params
  })
}
// 督办审核
export function superviseCheck(params) {
  return request({
    url: '/urge/check',
    method: 'post',
    params
  })
}

// 待办督办列表
export function getSuperviseList(params) {
  return request({
    url: '/urge/toToListPage',
    method: 'get',
    params
  })
}

// 审核督办列表
export function getCheckSuperviseList(params) {
  return request({
    url: '/urge/checkListPage',
    method: 'get',
    params
  })
}

// 查询督办
export function getAllSuperviseList(params) {
  return request({
    url: '/urge/listPage',
    method: 'get',
    params
  })
}

// 督办记录
export function urgeRecords(caseId) {
  return request({
    url: 'callCaseSupervise/records',
    method: 'get',
    params: {
      caseId: caseId
    }
  })
}

// 工单督办
export function addSupervise(params) {
  return request({
    url: '/urge/add',
    method: 'post',
    params
  })
}

// 督办记录
export function superviseRecords(caseId) {
  return request({
    url: '/urge/detail/' + caseId,
    method: 'get'
  })
}
